

# Scikick - Notebook-Centric Analysis Workflows <img src="docs/scikick_documentation/icon.svg" align="right" width="120" />

[](https://pypi.python.org/pypi/scikick/)
[![PyPI pyversions](https://img.shields.io/pypi/pyversions/scikick.svg)](https://pypi.python.org/pypi/scikick/)
![](https://img.shields.io/badge/lifecycle-maturing-blue.svg)
[![Snakemake](https://img.shields.io/badge/snakemake-≥5.9.0-brightgreen.svg?style=flat)](https://snakemake.readthedocs.io)

## Overview

![](docs/scikick_documentation/figure1.svg)

Collections of computational notebooks often lose coherence during complex and branching investigations. Scikick is a command line utility for managing ensembles of computational notebooks developed throughout a project by providing simple commands for workflow configuration, report generation, and state management.

-----------------------------------------------------

## Getting Started

[Read the introduction](https://petronislab.camh.ca/pub/scikick/stable/docs/report/out_html/introduction.html) for further details and installation requirements.

See the [tutorial](https://petronislab.camh.ca/pub/scikick/stable/docs/report/out_html/hello_world.html) for a simple example usage of Scikick.

[View a data analysis report generated by Scikick.](https://petronislab.camh.ca/pub/scikick/stable/docs/single-cell_analysis/report/out_html/index.html)

Use the [issue board](https://github.com/matthewcarlucci/scikick/issues) to provide feedback on Scikick (feature requests, bugs, and further software-related comments).


